o update tagdb.dia
-==========================================================================
+ o clean fingerprint
+
+ o fix up cron.weekly and/or shania
+Lisa:
+
+ o installing into stable
+ o warn about other components
+ o priority >> optional
+ o arch != {any,all}
+ o build-depends wrong (via andrea)
+ o suid
+ o conficlits
+ o notification/stats to admin daily
+
+==========================================================================
To fix
======
o catherine should udpate db; move files, not the other way around [neuro]
o melanie should update the stable changelog [joey]
+
+
* Bizzare/uncertain:
o validate source consistency, i.e. .dsc and .tar.gz as minimum (??)
--- /dev/null
+#! /bin/sh
+
+set -e
+export SCRIPTVARS=/org/ftp-master.debian.org/katie/vars
+. $SCRIPTVARS
+
+cd $unchecked
+
+changes=$(find . -maxdepth 1 -mindepth 1 -type f -name \*.changes | sed -e "s,./,," | xargs)
+report=$queuedir/REPORT
+timestamp=$(date "+%Y-%m-%d %H:%M")
+
+if [ ! -z "$changes" ]; then
+ echo "$timestamp": "$changes" >> $report
+ jennifer -a $changes >> $report
+ echo "--" >> $report
+else
+ echo "$timestamp": Nothing to do >> $report
+fi;
QueueNewDir "/org/ftp.debian.org/queue/new/";
QueueRejectDir "/org/ftp.debian.org/queue/reject/";
QueueUncheckedDir "/org/ftp.debian.org/queue/unchecked/";
- UrgencyLogDir "/org/ftp.debian.org/testing/";
+ UrgencyLogDir "/org/ftp.debian.org/testing/urgencies/";
};
DB
# locations used by many scripts
-ftpdir=/org/ftp.debian.org/ftp
-webdir=/org/ftp.debian.org/web
+base=/org/ftp.debian.org
+ftpdir=$base/ftp
+webdir=$base/web
indices=$ftpdir/indices
archs="alpha arm hppa hurd-i386 i386 ia64 m68k powerpc sparc mips mipsel sh"
-scriptdir=/org/ftp.debian.org/scripts
-masterdir=/org/ftp.debian.org/katie/
-dbdir=/org/ftp.debian.org/database/
+scriptdir=$base/scripts
+masterdir=$base/katie/
+dbdir=$base/database/
overridedir=$scriptdir/override
-incoming=/org/ftp.debian.org/incoming
+queuedir=$base/queue/
+unchecked=$queuedir/unchecked/
+accepted=$queuedir/accepted/
+incoming=$base/incoming
ftpgroup=debadmin